package com.th.demo.mapping.ware;

import com.th.demo.model.ware.Distribution;

import java.util.List;

public interface DistributionMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(Distribution record);

    int insertSelective(Distribution record);

    Distribution selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(Distribution record);

    int updateByPrimaryKey(Distribution record);

    List<Distribution> selectWaitTrucks(String userId, String belongId);

    Distribution selectByTruckNo(String truckNo, String belongId);

    Distribution selectByDisNo(String distributionNo, String belongId);
}